#include "PackageTableOtherContextMenu.h"

PackageTable::OtherContextMenu::OtherContextMenu(Model*    model,
                                                 QWidget*  parent)
   : QMenu(),
     model(model),
     parent(parent)
{
   describeAction  = new QAction(tr("&Describe"), this);

   addAction(describeAction);

   connect(describeAction, SIGNAL(triggered()), 
           this, SLOT(handleDescribeAction()));
}

void  PackageTable::OtherContextMenu::exec(QModelIndex    ix,
                                           const QPoint&  pos)
{
   this->ix = ix;

   QMenu::exec(pos);
}

void  PackageTable::OtherContextMenu::handleDescribeAction()
{
   model->describe(ix, parent);
}
